GroovyPageBinding (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              org.codehaus.groovy.grails.web.pages.AbstractGroovyPageBinding
                  org.codehaus.groovy.grails.web.pages.GroovyPageBinding

    public class GroovyPageBinding
    extends AbstractGroovyPageBinding

Script Binding that is used in GSP evaluation.

Authors:
  Lari Hotari

Constructor Summary
`GroovyPageBinding()`
`GroovyPageBinding(groovy.lang.Binding parent)`
`GroovyPageBinding(java.lang.String pluginContextPath)`
`GroovyPageBinding(java.util.Map variables)`
`GroovyPageBinding(java.lang.String[] args)`

Method Summary
`void` | `addMap(java.util.Map additionalBinding)`
`GroovyPage` | `getOwner()`
`GrailsPlugin` | `getPagePlugin()`
`groovy.lang.Binding` | `getParent()`
`java.lang.String` | `getPluginContextPath()`
`java.lang.Object` | `getProperty(java.lang.String property)`
`java.lang.Object` | `getVariable(java.lang.String name)`
`java.util.Set` | `getVariableNames()`
`boolean` | `isRoot()`
`void` | `setOwner(GroovyPage owner)`
`void` | `setPagePlugin(GrailsPlugin plugin)`
`void` | `setParent(groovy.lang.Binding parent)`
`void` | `setPluginContextPath(java.lang.String pluginContextPath)`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
`void` | `setRoot(boolean root)`
`void` | `setVariable(java.lang.String name, java.lang.Object value)`

Methods inherited from class AbstractGroovyPageBinding
getVariableNames, getVariables, getVariablesMap, setVariableDirectly

Methods inherited from class groovy.lang.Binding
groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()

Constructor Detail

### GroovyPageBinding

    public GroovyPageBinding()

### GroovyPageBinding

    public GroovyPageBinding(groovy.lang.Binding parent)

### GroovyPageBinding

    public GroovyPageBinding(java.lang.String pluginContextPath)

### GroovyPageBinding

    @java.lang.SuppressWarnings("rawtypes")
    public GroovyPageBinding(java.util.Map variables)

### GroovyPageBinding

    public GroovyPageBinding(java.lang.String[] args)

Method Detail

### addMap

    @java.lang.SuppressWarningsMap.Entry entry = i.next();
    public void addMap(java.util.Map additionalBinding)

### getOwner

    public GroovyPage getOwner()

### getPagePlugin

    public GrailsPlugin getPagePlugin()

### getParent

    public groovy.lang.Binding getParent()

### getPluginContextPath

    public java.lang.String getPluginContextPath()

### getProperty

    @java.lang.Override
    public java.lang.Object getProperty(java.lang.String property)

### getVariable

    @java.lang.SuppressWarnings("unchecked")
    @java.lang.Override
    public java.lang.Object getVariable(java.lang.String name)

### getVariableNames

    @java.lang.SuppressWarningsSet variableNames=new HashSet();
    @java.lang.Overrideif (parent != null) {
    public java.util.Set getVariableNames()

### isRoot

    public boolean isRoot()

### setOwner

    public void setOwner(GroovyPage owner)

### setPagePlugin

    @java.lang.SuppressWarnings}
    public void setPagePlugin(GrailsPlugin plugin)

### setParent

    public void setParent(groovy.lang.Binding parent)

### setPluginContextPath

    @java.lang.SuppressWarnings}
    public void setPluginContextPath(java.lang.String pluginContextPath)

### setProperty

    @java.lang.Overridepublic void setProperty(String property, Object newValue) {
    public void setProperty(java.lang.String property, java.lang.Object newValue)

### setRoot

    public void setRoot(boolean root)

### setVariable

    @java.lang.Overridepublic void setVariable(String name, Object value) {
    public void setVariable(java.lang.String name, java.lang.Object value)

Groovy Documentation